<?php
session_start();
include_once('../../config/#Config.php');
if(!$_SESSION['UserName']){
die('<script>window.location.href=\''.$config['site']['url'].'index.php\';</script>');
} else {
$get_AD = mysqli_query($conn, "Select * From config_admin WHERE Account = '".$_SESSION['UserName']."'");
if(!mysqli_num_rows($get_AD)){
	die('Không đủ quyền.');
}
include('../../ajax/APIPAY/class.momologin.php');

include('../../ajax/APIPAY/class.momoapi.php');

//('class.momoapi.php');

$filename = 'Phone_'.$_REQUEST['Phone'].'.txt';

$config_momo = [

    'csp'                   => 'Viettel',

    'icc'                   => '',

    'mcc'                   => '452',

    'mnc'                   => '04',

    'cname'                 => 'Vietnam',

    'ccode'                 => '084',

    'channel'               => 'APP',

    'lang'                  => 'vi',

    'device'                => 'iPhone',

    'firmware'              => '13.7',

    'manufacture'           => 'Apple',

    'hardware'              => 'iPhone',

    'simulator'             => false,

    'appVer'                => '21540',

    'appCode'               => "2.1.54",

    'deviceOS'              => "IOS"

];

// gen data

if($_REQUEST['SENDOTP']){

if(!$_REQUEST['Phone']){
$EQ['type'] = 1;
$EQ['text'] = 'Vui lòng nhập số điện thoại';
} else {
    $rkey = rkey(20);

    $onesignal = onesignal();

    $imei = get_imei();
    mysqli_query($conn, "UPDATE config_momo Set Phone = '".$_REQUEST['Phone']."',rkey = '".$rkey."',onesignal = '".$onesignal."',imei = '".$imei."' WHERE ID = '1'");

    $response = send_otp($_REQUEST['Phone'],$config_momo,$rkey,$onesignal,$imei);

    $EQ['type'] = 0;
    $EQ['text'] = $response;
}
die(json_encode($EQ));
}

if($_REQUEST['VERYOTP']){
if(!$_REQUEST['otp']){
    $EQ['type'] = 1;
    $EQ['text'] = 'Vui lòng nhập OTP Momo vừa gọi cho bạn';
} else {
$phantich = mysqli_query($conn, "Select * From config_momo WHERE ID = '1'");
if(mysqli_num_rows($phantich)){
$phantich_ok = mysqli_fetch_assoc($phantich);
   $put = json_decode(comfirm_otp($_REQUEST['Phone'],$config_momo,$_REQUEST['otp'],$phantich_ok['rkey'],$phantich_ok['onesignal'],$phantich_ok['imei']),true);
   if($put['extra']['setupKey']){
    mysqli_query($conn, "UPDATE config_momo Set setupkey = '".$put['extra']['setupKey']."',otp = '".$_REQUEST['otp']."' WHERE ID = '1'");
    $EQ['type'] = 0;
    $EQ['text'] = 'Xác thực thành công. Hãy làm bước kế tiếp.';
   } else {
    $EQ['type'] = 1;
    $EQ['text'] = $put['errorDesc'];
   }
} else {
    $EQ['type'] = 1;
    $EQ['text'] = 'Dữ liệu không đầy đủ, Hãy làm lại từ đầu';
}
}
die(json_encode($EQ));
}

if($_REQUEST['GetINFO']){
    if(!$_REQUEST['Pass']){
        $EQ['type'] = 1;
        $EQ['text'] = 'Vui lòng nhập Mật khấu Ví điện tử';
    } else {
    $phantich = mysqli_query($conn, "Select * From config_momo WHERE ID = '1'");
    if(mysqli_num_rows($phantich)){
    $phantich_ok = mysqli_fetch_assoc($phantich);
    $API_MOMO = new Momo($_REQUEST['Phone'],$_REQUEST['Pass'],$phantich_ok['otp'],$phantich_ok['rkey'],$phantich_ok['setupkey'],$phantich_ok['imei'],"MrKhanh",$phantich_ok['onesignal']);
    mysqli_query($conn, "UPDATE config_momo set Pass = '".$_REQUEST['Pass']."' WHERE ID = '1'");
    $EQ['type'] = 0;
$EQ['text'] = $API_MOMO->get_info();
    }  else {
        $EQ['type'] = 1;
$EQ['text'] = 'Dữ liệu kết nối Trống, Hãy thử lại các bước từ đầu';
    }
}
die(json_encode($EQ));
}

if($_REQUEST['GetLichSu']){

    $phantich = mysqli_query($conn, "Select * From config_momo WHERE ID = '1'");
    if(mysqli_num_rows($phantich)){
    $phantich_ok = mysqli_fetch_assoc($phantich);
    $API_MOMO = new Momo($_REQUEST['Phone'],$phantich_ok['Pass'],$phantich_ok['otp'],$phantich_ok['rkey'],$phantich_ok['setupkey'],$phantich_ok['imei'],"MrKhanh",$phantich_ok['onesignal']);

    $EQ['type'] = 0;
    $EQ['text'] = $API_MOMO->history(24);
} else {
    $EQ['type'] = 1;
    $EQ['text'] = 'Dữ liệu kết nối Trống, Hãy thử lại các bước từ đầu';
}
}
die(json_encode($EQ));
}